package com.iotechn.unimall.data.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * Generate Code By Unimall
 */
@Data
@TableName("unimall_collection_payment")
public class CollectionPaymentDO extends SuperDO {

     /* id */
    @TableField("id")
    private Long id;
    /* 编号 */
    @TableField("pay_no")
    private String payNo;
     /* 方式（1收2提） */
    @TableField("business_type")
    private String businessType;
     /* 收提款人 */
    @TableField("receiving_withdrawing_people")
    private String receivingWithdrawingPeople;
     /* 收提款地点 */
    @TableField("receiving_withdrawing_region")
    private String receivingWithdrawingRegion;
     /* 收提款日期 */
    @TableField("receipt_payment_date")
//    @JsonFormat(pattern = "yyyy-MM-dd")
//    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private String receiptPaymentDate;
     /* 金额（欧元） */
    @TableField("deduction_euro")
    private Double deductionEuro;
     /* 金额（人民币） */
    @TableField("deduction_rmb")
    private Double deductionRmb;
     /* 备注1 */
    @TableField("remarks")
    private String remarks;
     /* 备注2 */
    @TableField("remark")
    private String remark;
     /* 状态 */
    @TableField("status")
    private Integer status;
     /* 创建时间 */
    @TableField("gmt_create")
    private Date gmtCreate;
     /* 更新时间 */
    @TableField("gmt_update")
    private Date gmtUpdate;
     /* userId */
    @TableField("user_id")
    private Long userId;
     /* adminId */
    @TableField("admin_id")
    private Long adminId;
     /* 公司id */
    @TableField("company_id")
    private Long companyId;
     /* 公司id */
    @TableField("update_people")
    private String updatePeople;;

}
