package com.iotechn.unimall.data.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import java.util.Date;
import lombok.Data;

/**
 * @Author:chengchangjiang
 * @Description: 公司实体类
 * @Date:Created in 2021年3月23日09:27:01
 */
@Data
@TableName("unimall_company")
public class CompanyDO extends SuperDO {
    /* 公司名称 */
    @TableField("company_name")
    private String companyName;
    /* 管理员id */
    @TableField("admin_id")
    private Long adminId;
    /* 纳税人识别号 */
    @TableField("identification_no")
    private String identificationNo;
    /* 公司开户行 */
    @TableField("company_bank")
    private String companyBank;
    /* 公司账户 */
    @TableField("account_no")
    private String accountNo;
    /* 公司地址 */
    @TableField("company_place")
    private String companyPlace;
    /* 公司电话 */
    @TableField("company_phone")
    private String companyPhone;
    /* 用户ID */
    @TableField("user_id")
    private Long userId;

    /* 身份证正面 */
    @TableField("person_no_img")
    private String personNoImg;
    /* 身份证反面 */
    @TableField("person_no_img1")
    private String personNoImg1;
    /* 银行卡正面 */
    @TableField("bank_img")
    private String bankImg;
    /* 银行卡反面 */
    @TableField("bank_img1")
    private String bankImg1;
    /* 支行名称 */
    @TableField("bank_name_zhi")
    private String bankNameZhi;
    /* 身份证人名 */
    @TableField("person_name")
    private String personName;
    /* 身份证号 */
    @TableField("person_no")
    private String personNo;
    /* 名头 */
    @TableField("renown")
    private Integer renown;
    /* 收款人姓名 */
    @TableField("collect_name")
    private String collectName;
    /* 保证金 */
    @TableField("bond")
    private double bond;
    /* 保证金比例 */
    @TableField("margin_level")
    private String marginLevel;
    /* 已用保证金 */
    @TableField("used_deposit")
    private double usedDeposit;
    /* 退回标识 */
    @TableField("return_flag")
    private String returnFlag;
    /* 交易id  */
    @TableField(exist = false)
    private String tradId;

    /* 交易id  */
    @TableField(exist = false)
    private String checkFlag;

}
