package com.iotechn.unimall.data.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author:chengchangjiang
 * @Description: 配置实体类
 * @Date:Created in 2021年3月23日09:27:01
 */

@Data
@TableName("unimall_config")
@AllArgsConstructor
@NoArgsConstructor
public class ConfigDO extends SuperDO {
    /* 关键字 */
    @TableField("key_word")
    private String keyWord;
    /* 值 */
    @TableField("value_worth")
    private String valueWorth;
}
