package com.iotechn.unimall.data.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import java.util.Date;

import com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;
import lombok.Data;

/**
 * Generate Code By Unimall
 */
@Data
@TableName("unimall_customer_billing_detail")
public class CustomerBillingDetailDO extends SuperDO {

     /* id */
    @TableField("id")
    private Long id;
     /* id */
    @TableField("info_id")
    private Long infoId;
     /* 柜号 */
    @TableField("cabinet_no")
    private String cabinetNo;
     /* 到港日期 */
    @TableField("arrival_date")
    private String arrivalDate;
    /* 发货公司 */
    @TableField("send_comp")
    private String sendComp;
    /* 车队 */
    @TableField("car_team")
    private String carTeam;
     /* 送货地点 */
    @TableField("delivery_place")
    private String deliveryPlace;
     /* 产品 */
    @TableField("product")
    private String product;
     /* 重量 */
    @TableField("weight")
    private String weight;
     /* 清关费 */
    @TableField("clearance_fee")
    private Double clearanceFee;
     /* 清关成本 */
    @TableField("clearance_cost")
    private Double clearanceCost;
     /* 卡车 */
    @TableField("truck")
    private Double truck;
     /* 卡车成本 */
    @TableField("truck_cost")
    private Double truckCost;
     /* 其他费用 */
    @TableField("other_expenses")
    private Double otherExpenses;
     /* 其他成本 */
    @TableField("other_cost")
    private Double otherCost;
     /* 应付金额 */
    @TableField("price_payable")
    private Double pricePayable;
     /* 成本价格 */
    @TableField("cost")
    private Double cost;
     /* 备注1 */
    @TableField("remarks")
    private String remarks;
     /* 备注2 */
    @TableField("remark")
    private String remark;
     /* 状态 */
    @TableField("status")
    private Integer status;
     /* gmtCreate */
    @TableField("gmt_create")
    private Date gmtCreate;
     /* gmtUpdate */
    @TableField("gmt_update")
    private Date gmtUpdate;
     /* userId */
    @TableField("user_id")
    private Long userId;
     /* adminId */
    @TableField("admin_id")
    private Long adminId;
     /* companyId */
    @TableField("company_id")
    private Long companyId;
     /* updatePeople */
    @TableField("update_people")
    private String updatePeople;

}
