package com.iotechn.unimall.data.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import java.util.Date;
import lombok.Data;

/**
 * Generate Code By Unimall
 */
@Data
@TableName("unimall_customer_info")
public class CustomerInfoDO extends SuperDO {

     /* id */
    @TableField("id")
    private Long id;
     /* 客户 */
    @TableField("customer")
    private String customer;
     /* 已付金额 */
    @TableField("unpaid_amount")
    private Double unpaidAmount;
    /* 应付金额 */
    @TableField(exist = false)
    private Double amountPayable;
    /* 余额 */
    @TableField(exist = false)
    private Double syAmount;
     /* 备注 */
    @TableField("remarks")
    private String remarks;
     /* 状态 */
    @TableField("status")
    private Integer status;
     /* gmtCreate */
    @TableField("gmt_create")
    private Date gmtCreate;
     /* gmtUpdate */
    @TableField("gmt_update")
    private Date gmtUpdate;
     /* userId */
    @TableField("user_id")
    private Long userId;
     /* adminId */
    @TableField("admin_id")
    private Long adminId;
     /* companyId */
    @TableField("company_id")
    private Long companyId;
     /* updatePeople */
    @TableField("update_people")
    private String updatePeople;

}
