package com.iotechn.unimall.data.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import java.util.Date;
import lombok.Data;
/**
 * @Author:chengchangjiang
 * @Description: 通知消息实体类
 * @Date:Created in 2021年3月23日09:27:01
 */
@Data
@TableName("unimall_message")
public class MessageDO extends SuperDO {
    /* 对象 */
    @TableField("customer")
    private String customer;
    /* 操作 */
    @TableField("operation")
    private String operation;
    /* 结果 */
    @TableField("result")
    private String result;
    /* 管理员id */
    @TableField("admin_id")
    private Long adminId;
    /* 任务id */
    @TableField("task_id")
    private Long taskId;
    /* 消息跳转路径 */
    @TableField("path")
    private String path;
    /* 用户id */
    @TableField("user_id")
    private Long userId;
    /* 公司id */
    @TableField("company_id")
    private Long companyId;

}
