package com.iotechn.unimall.data.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import java.util.Date;
import lombok.Data;

/**
 * @Author:chengchangjiang
 * @Description: 行情信息实体类
 * @Date:Created in 2021年3月23日09:27:01
 */
@Data
@TableName("unimall_news")
public class NewsDO extends SuperDO {
    /* 类型 */
    @TableField("category")
    private String category;
    /* 标题 */
    @TableField("title")
    private String title;
    /* 标题图片 */
    @TableField("title_img")
    private String titleImg;
    /* 摘要 */
    @TableField("abstract_content")
    private String abstractContent;
    /* 内容 */
    @TableField("content")
    private String content;
    /* 来源 */
    @TableField("from")
    private String from;
    /* 公司id */
    @TableField("company_id")
    private Long companyId;

}
