package com.iotechn.unimall.data.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import lombok.Data;

/**
 * @Author:chengchangjiang
 * @Description: 角色实体类
 * @Date:Created in 2021年3月23日09:27:01
 */
@TableName("unimall_role")
@Data
public class RoleDO extends SuperDO {
    /* 角色名称 */
    private String name;
    /* 角色描述 */
    private String desc;
    /* 状态 */
    private Integer status;
    /* 公司id */
    @TableField("company_id")
    private Long companyId;

}
