package com.iotechn.unimall.data.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import java.util.Date;
import lombok.Data;

/**
 * @Author:chengchangjiang
 * @Description:数据字典实体类
 * @Date:Created in 2021年3月23日09:27:01
 */
@Data
@TableName("sys_dict_data")
public class SysDictDataDO extends SuperDO {
    /* 字典类型 */
    @TableField("dict_name")
    private String dictName;
    /* 字典编号 */
    @TableField("dict_type")
    private String dictType;
    /* 字典名称 */
    @TableField("label")
    private String label;
    /* 字典数据 */
    @TableField("value")
    private String value;
    /* 排序 */
    @TableField("sort")
    private Integer sort;
    /* 管理员id */
    @TableField("admin_id")
    private Integer adminId;
    /* 公司id */
    @TableField("company_id")
    private Long companyId;

}
