package com.iotechn.unimall.data.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import lombok.Data;

import java.util.Date;

/**
 * @Author:chengchangjiang
 * @Description:用户实体类
 * @Date:Created in 2021年3月23日09:27:01
 */
@Data
@TableName("unimall_user")
public class UserDO extends SuperDO {
    /* 手机号 */
    private String phone;
    /* 密码 */
    private String password;
    /* 登录类型 */
    @TableField("login_type")
    private Integer loginType;
    /* openId */
    @TableField("open_id")
    private String openId;
    /* 公众号openid */
    @TableField(" official_open_id")
    private String officialOpenId;
    /* unionId */
    @TableField("union_id")
    private String unionId;
    /* 昵称 */
    private String nickname;
    /* 头像地址 */
    @TableField("avatar_url")
    private String avatarUrl;
    /* 用户名 */
    @TableField("user_name")
    private String userName;
    /* 生日 */
    private Date birthday;
    /* 性别 */
    private Integer gender;
    /* 最后登录时间 */
    @TableField("gmt_last_login")
    private Date gmtLastLogin;
    /* 最后登录ip */
    @TableField("last_login_ip")
    private String lastLoginIp;
    /* 状态 */
    private Integer status;
    /* 角色ids */
    @TableField("role_ids")
    private String roleIds;
    /* 签名图片 */
    @TableField("sign_img")
    private String signImg;
    /* 微信号 */
    @TableField("wechat_no")
    private String wechatNo;
    /* 公司id */
    @TableField("company_id")
    private Long companyId;
    /* Token */
    @TableField("access_token")
    private String accessToken;
    /* liangxinId */
    @TableField("liangxin_id")
    private String liangxinId;
    @TableField("cid")
    private String cid;

}
