package com.iotechn.unimall.data.dto;

import com.baomidou.mybatisplus.annotations.TableName;
import java.util.Date;
import java.util.List;

import com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;
import lombok.Data;

/**
 * Generate Code By Unimall
 */
@Data
@TableName("unimall_customer_billing_detail")
public class CustomerBillingDetailDTO extends SuperDTO {

     /* id */
    private Long id;

    private Long infoId;

    /* 编号 */
    @Excel(name = "编号")
    private String payNo;
    /* 客户 */
    @Excel(name = "客户")
    private String customer;
    /* 单据类型 */
    @Excel(name = "单据类型")
    private String businessType;
    /* 结账日期 */
    @Excel(name = "结账日期")
    private String closingDate;

     /* 柜号 */
     @Excel(name = "柜号")
    private String cabinetNo;
     /* 到港日期 */
     @Excel(name = "到港日期")
    private String arrivalDate;
    /* 发货公司 */
    @Excel(name = "发货公司")
    private String sendComp;
    /* 车队 */
    @Excel(name = "车队")
    private String carTeam;
     /* 送货地点 */
     @Excel(name = "目的地")
    private String deliveryPlace;
     /* 产品 */
     @Excel(name = "货品")
    private String product;
     /* 重量 */
     @Excel(name = "重量")
    private String weight;
     /* 清关费 */
     @Excel(name = "清关费")
    private Double clearanceFee;
     /* 清关成本 */
    private Double clearanceCost;
     /* 卡车 */
     @Excel(name = "卡车")
    private Double truck;
     /* 卡车成本 */
    private Double truckCost;
     /* 其他费用 */
     @Excel(name = "其他费用")
    private Double otherExpenses;
     /* 其他成本 */
    private Double otherCost;
     /* 应付金额 */
     @Excel(name = "应付金额")
    private Double pricePayable;
     /* 成本价格 */
    private Double cost;
     /* 备注1 */
    private String remarks;
     /* 备注2 */
    private String remark;
     /* 状态 */
    private Integer status;
     /* gmtCreate */
    private Date gmtCreate;
     /* gmtUpdate */
    private Date gmtUpdate;
     /* userId */
    private Long userId;
     /* adminId */
    private Long adminId;
     /* companyId */
    private Long companyId;
     /* updatePeople */
    private String updatePeople;
    private List<CustomerBillingDetailDTO> customerBillingDetailDTOList;
}
