package com.iotechn.unimall.data.dto;

import com.baomidou.mybatisplus.annotations.TableField;
import lombok.Data;

/**
 * @Author:chengchangjiang
 * @Description:
 * @Date:Created in 10:11 2021-04-13
 */
@Data
public class PayDTO extends SuperDTO{
    /* 付款编号 */
    private String payNo;
    /* 应付款 */
    private Double shouldPay;
    /* 已付款 */
    private Double alreadyPay;
    /* 未付款 */
    private Double notPay;
    /* 应开票 */
    private Double shouldInvoice;
    /* 已开票 */
    private Double alreadyInvoice;
    /* 未开票 */
    private Double notInvoice;
    /* 状态 */
    private Integer status;
    /* 管理员id */
    private Long adminId;
    /* 单号 */
    private String workNo;
    /* 公司id */
    private Long companyId;
    /* 合同号 */
    private String contractNo;
    /* 买方 */
    private String buyer;
    /* 卖方 */
    private String seller;
}
