/*
Navicat MySQL Data Transfer

Source Server         : 中天昊元
Source Server Version : 50649
Source Host           : 47.100.3.209:3306
Source Database       : unimall_tmp

Target Server Type    : MYSQL
Target Server Version : 50649
File Encoding         : 65001

Date: 2022-05-15 13:06:24
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for sys_dict_data
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_data`;
CREATE TABLE `sys_dict_data` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `dict_name` varchar(255) DEFAULT NULL COMMENT '字典编号',
  `dict_type` varchar(100) NOT NULL COMMENT '类型',
  `label` varchar(100) NOT NULL COMMENT '标签名',
  `value` varchar(100) NOT NULL COMMENT '数据值',
  `sort` int(10) DEFAULT NULL COMMENT '排序（升序）',
  `gmt_create` datetime DEFAULT NULL,
  `gmt_update` datetime DEFAULT NULL,
  `admin_id` int(11) DEFAULT NULL,
  `company_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `sys_dict_data_id_uindex` (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=234 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of sys_dict_data
-- ----------------------------
INSERT INTO `sys_dict_data` VALUES ('59', '销售状态', 'sale_status', '未申请', '10', '8', '2020-10-22 08:33:36', '2020-11-03 10:17:46', null, '1');
INSERT INTO `sys_dict_data` VALUES ('60', '销售状态', 'sale_status', '未定价', '20', '9', '2020-10-22 08:34:20', '2020-11-03 10:14:47', null, '1');
INSERT INTO `sys_dict_data` VALUES ('61', '销售状态', 'sale_status', '销售中', '30', '10', '2020-10-22 08:34:50', '2020-11-03 10:14:53', null, '1');
INSERT INTO `sys_dict_data` VALUES ('63', '采购状态', 'buy_status', '未生效', '10', '12', '2020-10-22 09:01:23', '2020-11-13 10:48:17', null, '1');
INSERT INTO `sys_dict_data` VALUES ('64', '采购状态', 'buy_status', '已生效', '20', '11', '2020-10-22 09:01:41', '2020-11-13 10:48:27', null, '1');
INSERT INTO `sys_dict_data` VALUES ('65', '采购状态', 'buy_status', '待审核', '15', '13', '2020-10-22 09:02:03', '2020-11-13 10:48:34', null, '1');
INSERT INTO `sys_dict_data` VALUES ('68', '新闻类型', 'news_type', '工厂价格', '0', '15', '2020-10-22 14:14:32', '2020-11-03 10:15:45', null, '1');
INSERT INTO `sys_dict_data` VALUES ('69', '新闻类型', 'news_type', '港口价格', '1', '16', '2020-10-22 14:15:04', '2020-11-03 10:15:50', null, '1');
INSERT INTO `sys_dict_data` VALUES ('70', '新闻类型', 'news_type', '行业新闻', '2', '17', '2020-10-22 14:15:40', '2020-11-03 10:15:55', null, '1');
INSERT INTO `sys_dict_data` VALUES ('71', '发运状态', 'tran_status', '生效中', '30', '18', '2020-10-22 14:40:20', '2020-11-03 16:16:20', null, '1');
INSERT INTO `sys_dict_data` VALUES ('72', '发运状态', 'tran_status', '已完成', '40', '19', '2020-10-22 14:40:38', '2020-11-03 16:16:38', null, '1');
INSERT INTO `sys_dict_data` VALUES ('73', '发运状态', 'tran_status', '待定价', '20', '20', '2020-10-22 14:40:51', '2020-11-04 09:14:09', null, '1');
INSERT INTO `sys_dict_data` VALUES ('74', '承运状态', 'car_status', '待审核', '10', '21', '2020-10-22 15:13:41', '2020-11-06 09:50:05', null, '1');
INSERT INTO `sys_dict_data` VALUES ('75', '承运状态', 'car_status', '可发运', '20', '22', '2020-10-22 15:14:01', '2020-11-06 11:01:45', null, '1');
INSERT INTO `sys_dict_data` VALUES ('76', '承运状态', 'car_status', '已发运', '30', '23', '2020-10-22 15:14:14', '2020-11-06 09:52:18', null, '1');
INSERT INTO `sys_dict_data` VALUES ('80', '合同类型', 'contract_type', '销售', '0', '0', '2020-11-01 12:29:45', '2020-11-03 10:17:28', null, '1');
INSERT INTO `sys_dict_data` VALUES ('81', '合同类型', 'contract_type', '采购', '1', '1', '2020-11-01 12:30:03', '2020-11-03 10:17:33', null, '1');
INSERT INTO `sys_dict_data` VALUES ('82', '销售状态', 'sale_status', '已下架', '40', '11', '2020-11-02 12:53:40', '2020-11-03 10:17:52', null, '1');
INSERT INTO `sys_dict_data` VALUES ('83', '销售状态', 'sale_status', '未审核', '21', '13', '2020-11-02 12:57:54', '2020-11-03 10:17:59', null, '1');
INSERT INTO `sys_dict_data` VALUES ('84', '产品等级', 'food_type', '一等品', '0', '27', '2020-11-02 13:23:57', '2020-11-03 10:18:19', null, '1');
INSERT INTO `sys_dict_data` VALUES ('85', '产品等级', 'food_type', '二等品', '1', '28', '2020-11-02 13:24:34', '2020-11-03 10:18:30', null, '1');
INSERT INTO `sys_dict_data` VALUES ('86', '产品等级', 'food_type', '三等品', '2', '29', '2020-11-02 13:24:56', '2020-11-03 10:18:35', null, '1');
INSERT INTO `sys_dict_data` VALUES ('87', '出库方式', 'sale_type', '移库', '0', '0', '2020-11-03 08:57:37', '2020-11-03 10:14:48', null, '1');
INSERT INTO `sys_dict_data` VALUES ('88', '出库方式', 'sale_type', '散船平仓', '1', '1', '2020-11-03 08:57:57', '2020-11-03 10:15:11', null, '1');
INSERT INTO `sys_dict_data` VALUES ('89', '出库方式', 'sale_type', '装箱进港', '2', '2', '2020-11-03 08:58:33', '2020-11-03 10:15:26', null, '1');
INSERT INTO `sys_dict_data` VALUES ('90', '出库方式', 'sale_type', '库内销售', '3', '3', '2020-11-03 10:15:50', '2020-11-03 10:15:50', null, '1');
INSERT INTO `sys_dict_data` VALUES ('91', '出库方式', 'sale_type', '运送到厂', '4', '4', '2020-11-03 10:18:02', '2020-11-03 10:18:02', null, '1');
INSERT INTO `sys_dict_data` VALUES ('92', '发运状态', 'tran_status', '待审核', '10', '10', '2020-11-03 16:17:30', '2020-11-03 16:17:30', null, '1');
INSERT INTO `sys_dict_data` VALUES ('93', '发运状态', 'tran_status', '已驳回', '25', null, '2020-11-05 08:27:55', '2020-11-05 08:28:08', null, '1');
INSERT INTO `sys_dict_data` VALUES ('94', '承运状态', 'car_status', '已接货', '40', null, '2020-11-06 09:53:14', '2020-11-06 09:53:14', null, '1');
INSERT INTO `sys_dict_data` VALUES ('95', '承运状态', 'car_status', '待结算', '50', null, '2020-11-06 09:53:30', '2020-11-06 09:53:30', null, '1');
INSERT INTO `sys_dict_data` VALUES ('97', '承运状态', 'car_status', '待付款', '70', null, '2020-11-06 09:55:00', '2020-11-10 08:27:25', null, '1');
INSERT INTO `sys_dict_data` VALUES ('98', '承运状态', 'car_status', '已付款', '80', null, '2020-11-06 09:55:14', '2020-11-06 09:55:14', null, '1');
INSERT INTO `sys_dict_data` VALUES ('99', '承运状态', 'car_status', '待匹配', '15', null, '2020-11-06 10:00:37', '2020-11-06 10:00:37', null, '1');
INSERT INTO `sys_dict_data` VALUES ('101', '承运状态', 'car_status', '待接单', '13', null, '2020-11-09 09:06:30', '2020-11-09 09:06:30', null, '1');
INSERT INTO `sys_dict_data` VALUES ('102', '承运状态', 'car_status', '待完善', '12', null, '2020-11-09 09:06:49', '2020-11-09 09:06:49', null, '1');
INSERT INTO `sys_dict_data` VALUES ('103', '承运状态', 'car_status', '已拒接', '90', null, '2020-11-09 10:10:41', '2020-11-09 10:10:41', null, '1');
INSERT INTO `sys_dict_data` VALUES ('104', '承运状态', 'car_status', '待签运输合同', '25', null, '2020-11-09 14:43:01', '2020-11-09 14:43:01', null, '1');
INSERT INTO `sys_dict_data` VALUES ('105', '物流部电话', 'tran_phone', '电话1', '15663330336', null, '2020-11-16 08:28:53', '2020-12-14 18:15:43', null, '1');
INSERT INTO `sys_dict_data` VALUES ('106', '订单状态', 'work_status', '待审核', '10', null, '2020-11-16 16:39:14', '2020-11-16 16:39:14', null, '1');
INSERT INTO `sys_dict_data` VALUES ('107', '订单状态', 'work_status', '待发运', '20', null, '2020-11-16 16:39:58', '2020-11-16 16:39:58', null, '1');
INSERT INTO `sys_dict_data` VALUES ('108', '订单状态', 'work_status', '已驳回', '25', null, '2020-11-16 16:40:33', '2020-11-16 16:40:33', null, '1');
INSERT INTO `sys_dict_data` VALUES ('109', '订单状态', 'work_status', '待完货', '30', null, '2020-11-16 16:40:53', '2020-11-17 11:23:34', null, '1');
INSERT INTO `sys_dict_data` VALUES ('110', '订单状态', 'work_status', '已完成', '40', null, '2020-11-16 16:41:12', '2020-11-16 16:41:12', null, '1');
INSERT INTO `sys_dict_data` VALUES ('111', '收款状态', 'collect_status', '待回款', '10', null, '2020-11-16 17:24:33', '2020-11-16 17:24:33', null, '1');
INSERT INTO `sys_dict_data` VALUES ('112', '收款状态', 'collect_status', '已完成', '20', null, '2020-11-16 17:24:50', '2020-11-16 17:24:50', null, '1');
INSERT INTO `sys_dict_data` VALUES ('113', '订单详情状态', 'workDetail_status', '已发运', '10', null, '2020-11-17 10:36:56', '2020-11-17 10:39:45', null, '1');
INSERT INTO `sys_dict_data` VALUES ('114', '订单详情状态', 'workDetail_status', '已交货', '20', null, '2020-11-17 10:37:27', '2020-11-19 09:27:49', null, '1');
INSERT INTO `sys_dict_data` VALUES ('115', '付款类型', 'pay_type', '装车付款', '0', null, '2020-11-17 15:36:31', '2020-11-17 15:36:31', null, '1');
INSERT INTO `sys_dict_data` VALUES ('116', '付款类型', 'pay_type', '预付款', '1', null, '2020-11-17 15:36:58', '2020-11-17 15:36:58', null, '1');
INSERT INTO `sys_dict_data` VALUES ('117', '订单详情状态', 'workDetail_status', '待完善', '0', null, '2020-11-18 08:53:20', '2020-11-18 08:53:20', null, '1');
INSERT INTO `sys_dict_data` VALUES ('118', '订单详情状态', 'workDetail_status', '已放货', '30', null, '2020-11-19 09:28:10', '2020-11-19 09:28:10', null, '1');
INSERT INTO `sys_dict_data` VALUES ('119', '订单详情状态', 'workDetail_status', '已完成', '40', null, '2020-11-19 09:28:36', '2020-11-19 09:28:36', null, '1');
INSERT INTO `sys_dict_data` VALUES ('120', '付款状态', 'pay_status', '待回款', '10', null, '2020-12-13 14:07:57', '2020-12-13 14:07:57', null, '1');
INSERT INTO `sys_dict_data` VALUES ('121', '付款状态', 'pay_status', '已完成', '20', null, '2020-12-13 14:08:22', '2020-12-13 14:08:22', null, '1');
INSERT INTO `sys_dict_data` VALUES ('124', '发运状态', 'tran_status', '未填报', '15', null, '2020-12-14 14:08:39', '2020-12-14 14:08:39', null, '1');
INSERT INTO `sys_dict_data` VALUES ('125', '收款方式', 'payment_method', '现金收款', '30', null, '2021-01-26 14:37:44', '2021-01-26 14:37:44', null, '1');
INSERT INTO `sys_dict_data` VALUES ('126', '收款方式', 'payment_method', '网银收款', '20', null, '2021-01-26 14:38:09', '2021-01-26 14:38:09', null, '1');
INSERT INTO `sys_dict_data` VALUES ('127', '收款方式', 'payment_method', '预收款', '10', null, '2021-01-26 14:38:27', '2021-01-26 14:38:27', null, '1');
INSERT INTO `sys_dict_data` VALUES ('128', '发运状态', 'tran_status', '已回款', '50', null, '2021-02-01 10:38:55', '2021-02-01 10:38:55', null, '1');
INSERT INTO `sys_dict_data` VALUES ('129', '订单状态', 'work_status', '已回款', '50', null, '2021-02-01 10:39:14', '2021-02-01 10:39:14', null, '1');
INSERT INTO `sys_dict_data` VALUES ('130', '采购类型', 'work_type', '库内自采', '10', null, '2021-02-02 11:21:40', '2021-02-02 11:24:33', null, '1');
INSERT INTO `sys_dict_data` VALUES ('131', '采购类型', 'work_type', '外采(含运费)', '20', null, '2021-02-02 11:23:26', '2021-02-02 11:24:37', null, '1');
INSERT INTO `sys_dict_data` VALUES ('132', '采购类型', 'work_type', '外采(不含运费)', '30', null, '2021-02-02 11:23:58', '2021-02-02 11:24:40', null, '1');
INSERT INTO `sys_dict_data` VALUES ('133', '承运状态', 'car_status', '待付粮款', '27', null, '2021-02-02 15:30:34', '2021-02-02 15:30:34', null, '1');
INSERT INTO `sys_dict_data` VALUES ('134', '承运状态', 'car_status', '待付运费', '45', null, '2021-02-02 15:57:38', '2021-02-02 15:57:38', null, '1');
INSERT INTO `sys_dict_data` VALUES ('135', '销售状态', 'sale_status', '未申请', '10', '8', '2020-10-22 08:33:00', '2020-11-03 10:17:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('136', '销售状态', 'sale_status', '未定价', '20', '9', '2020-10-22 08:34:00', '2020-11-03 10:14:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('137', '销售状态', 'sale_status', '销售中', '30', '10', '2020-10-22 08:34:00', '2020-11-03 10:14:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('138', '采购状态', 'buy_status', '未生效', '10', '12', '2020-10-22 09:01:00', '2020-11-13 10:48:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('139', '采购状态', 'buy_status', '已生效', '20', '11', '2020-10-22 09:01:00', '2020-11-13 10:48:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('140', '采购状态', 'buy_status', '待审核', '15', '13', '2020-10-22 09:02:00', '2020-11-13 10:48:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('141', '新闻类型', 'news_type', '工厂价格', '0', '15', '2020-10-22 14:14:00', '2020-11-03 10:15:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('142', '新闻类型', 'news_type', '港口价格', '1', '16', '2020-10-22 14:15:00', '2020-11-03 10:15:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('143', '新闻类型', 'news_type', '行业新闻', '2', '17', '2020-10-22 14:15:00', '2020-11-03 10:15:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('144', '发运状态', 'tran_status', '生效中', '30', '18', '2020-10-22 14:40:00', '2020-11-03 16:16:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('145', '发运状态', 'tran_status', '已完成', '40', '19', '2020-10-22 14:40:00', '2020-11-03 16:16:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('146', '发运状态', 'tran_status', '待定价', '20', '20', '2020-10-22 14:40:00', '2020-11-04 09:14:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('147', '承运状态', 'car_status', '待审核', '10', '21', '2020-10-22 15:13:00', '2020-11-06 09:50:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('148', '承运状态', 'car_status', '可发运', '20', '22', '2020-10-22 15:14:00', '2020-11-06 11:01:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('149', '承运状态', 'car_status', '已发运', '30', '23', '2020-10-22 15:14:00', '2020-11-06 09:52:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('150', '合同类型', 'contract_type', '销售', '0', '0', '2020-11-01 12:29:00', '2020-11-03 10:17:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('151', '合同类型', 'contract_type', '采购', '1', '1', '2020-11-01 12:30:00', '2020-11-03 10:17:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('152', '销售状态', 'sale_status', '已下架', '40', '11', '2020-11-02 12:53:00', '2020-11-03 10:17:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('153', '销售状态', 'sale_status', '未审核', '21', '13', '2020-11-02 12:57:00', '2020-11-03 10:17:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('154', '产品等级', 'food_type', '一等品', '0', '27', '2020-11-02 13:23:00', '2020-11-03 10:18:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('155', '产品等级', 'food_type', '二等品', '1', '28', '2020-11-02 13:24:00', '2020-11-03 10:18:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('156', '产品等级', 'food_type', '三等品', '2', '29', '2020-11-02 13:24:00', '2020-11-03 10:18:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('157', '出库方式', 'sale_type', '移库', '0', '0', '2020-11-03 08:57:00', '2020-11-03 10:14:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('158', '出库方式', 'sale_type', '散船平仓', '1', '1', '2020-11-03 08:57:00', '2020-11-03 10:15:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('159', '出库方式', 'sale_type', '装箱进港', '2', '2', '2020-11-03 08:58:00', '2020-11-03 10:15:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('160', '出库方式', 'sale_type', '库内销售', '3', '3', '2020-11-03 10:15:00', '2020-11-03 10:15:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('161', '出库方式', 'sale_type', '运送到厂', '4', '4', '2020-11-03 10:18:00', '2020-11-03 10:18:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('162', '发运状态', 'tran_status', '待审核', '10', '10', '2020-11-03 16:17:00', '2020-11-03 16:17:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('163', '发运状态', 'tran_status', '已驳回', '25', null, '2020-11-05 08:27:00', '2020-11-05 08:28:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('164', '承运状态', 'car_status', '已接货', '40', null, '2020-11-06 09:53:00', '2020-11-06 09:53:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('165', '承运状态', 'car_status', '待结算', '50', null, '2020-11-06 09:53:00', '2020-11-06 09:53:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('166', '承运状态', 'car_status', '待付款', '70', null, '2020-11-06 09:55:00', '2020-11-10 08:27:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('167', '承运状态', 'car_status', '已付款', '80', null, '2020-11-06 09:55:00', '2020-11-06 09:55:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('168', '承运状态', 'car_status', '待匹配', '15', null, '2020-11-06 10:00:00', '2020-11-06 10:00:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('169', '承运状态', 'car_status', '待接单', '13', null, '2020-11-09 09:06:00', '2020-11-09 09:06:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('170', '承运状态', 'car_status', '待完善', '12', null, '2020-11-09 09:06:00', '2020-11-09 09:06:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('171', '承运状态', 'car_status', '已拒接', '90', null, '2020-11-09 10:10:00', '2020-11-09 10:10:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('172', '承运状态', 'car_status', '待签运输合同', '25', null, '2020-11-09 14:43:00', '2020-11-09 14:43:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('173', '物流部电话', 'tran_phone', '电话1', '15663330336', null, '2020-11-16 08:28:00', '2020-12-14 18:15:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('174', '订单状态', 'work_status', '待审核', '10', null, '2020-11-16 16:39:00', '2020-11-16 16:39:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('175', '订单状态', 'work_status', '待发运', '20', null, '2020-11-16 16:39:00', '2020-11-16 16:39:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('176', '订单状态', 'work_status', '已驳回', '25', null, '2020-11-16 16:40:00', '2020-11-16 16:40:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('177', '订单状态', 'work_status', '待完货', '30', null, '2020-11-16 16:40:00', '2020-11-17 11:23:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('178', '订单状态', 'work_status', '已完成', '40', null, '2020-11-16 16:41:00', '2020-11-16 16:41:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('179', '收款状态', 'collect_status', '待回款', '10', null, '2020-11-16 17:24:00', '2020-11-16 17:24:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('180', '收款状态', 'collect_status', '已完成', '20', null, '2020-11-16 17:24:00', '2020-11-16 17:24:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('181', '订单详情状态', 'workDetail_status', '已发运', '10', null, '2020-11-17 10:36:00', '2020-11-17 10:39:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('182', '订单详情状态', 'workDetail_status', '已交货', '20', null, '2020-11-17 10:37:00', '2020-11-19 09:27:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('183', '付款类型', 'pay_type', '装车付款', '0', null, '2020-11-17 15:36:00', '2020-11-17 15:36:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('184', '付款类型', 'pay_type', '预付款', '1', null, '2020-11-17 15:36:00', '2020-11-17 15:36:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('185', '订单详情状态', 'workDetail_status', '待完善', '0', null, '2020-11-18 08:53:00', '2020-11-18 08:53:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('186', '订单详情状态', 'workDetail_status', '已放货', '30', null, '2020-11-19 09:28:00', '2020-11-19 09:28:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('187', '订单详情状态', 'workDetail_status', '已完成', '40', null, '2020-11-19 09:28:00', '2020-11-19 09:28:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('188', '付款状态', 'pay_status', '待回款', '10', null, '2020-12-13 14:07:00', '2020-12-13 14:07:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('189', '付款状态', 'pay_status', '已完成', '20', null, '2020-12-13 14:08:00', '2020-12-13 14:08:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('190', '发运状态', 'tran_status', '未填报', '15', null, '2020-12-14 14:08:00', '2020-12-14 14:08:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('191', '收款方式', 'payment_method', '现金收款', '30', null, '2021-01-26 14:37:00', '2021-01-26 14:37:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('192', '收款方式', 'payment_method', '网银收款', '20', null, '2021-01-26 14:38:00', '2021-01-26 14:38:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('193', '收款方式', 'payment_method', '预收款', '10', null, '2021-01-26 14:38:00', '2021-01-26 14:38:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('194', '发运状态', 'tran_status', '已回款', '50', null, '2021-02-01 10:38:00', '2021-02-01 10:38:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('195', '订单状态', 'work_status', '已回款', '50', null, '2021-02-01 10:39:00', '2021-02-01 10:39:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('196', '采购类型', 'work_type', '库内自采', '10', null, '2021-02-02 11:21:00', '2021-02-02 11:24:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('197', '采购类型', 'work_type', '外采(含运费)', '20', null, '2021-02-02 11:23:00', '2021-02-02 11:24:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('198', '采购类型', 'work_type', '外采(不含运费)', '30', null, '2021-02-02 11:23:00', '2021-02-02 11:24:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('199', '承运状态', 'car_status', '待付粮款', '27', null, '2021-02-02 15:30:00', '2021-02-02 15:30:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('200', '承运状态', 'car_status', '待付运费', '45', null, '2021-02-02 15:57:00', '2021-02-02 15:57:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('201', '运输类型', 'tran_type', '汽运', '0', null, '2021-03-10 09:11:15', '2021-03-10 09:11:15', null, '1');
INSERT INTO `sys_dict_data` VALUES ('202', '运输类型', 'tran_type', '火运', '1', null, '2021-03-10 09:11:28', '2021-03-10 09:11:28', null, '1');
INSERT INTO `sys_dict_data` VALUES ('204', '运输条款', 'tran_clause', '门-门', 'DR-DR', null, '2021-03-18 16:12:47', '2021-03-18 16:12:47', null, '1');
INSERT INTO `sys_dict_data` VALUES ('205', '运输条款', 'tran_clause', '港-门', 'CY-DR', null, '2021-03-18 16:14:58', '2021-03-18 16:14:58', null, '1');
INSERT INTO `sys_dict_data` VALUES ('206', '运输条款', 'tran_clause', '门-港', 'DR-CY', null, '2021-03-18 16:15:44', '2021-03-18 16:15:44', null, '1');
INSERT INTO `sys_dict_data` VALUES ('207', '运输条款', 'tran_clause', '港-港', 'CY-CY', null, '2021-03-18 16:16:08', '2021-03-18 16:16:08', null, '1');
INSERT INTO `sys_dict_data` VALUES ('208', '运输条款', 'train_clause', '门-站', 'DR-ST', null, '2021-03-18 16:20:19', '2021-03-18 16:35:17', null, '1');
INSERT INTO `sys_dict_data` VALUES ('209', '运输条款', 'train_clause', '站-门', 'ST-DR', null, '2021-03-18 16:20:41', '2021-03-18 16:35:10', null, '1');
INSERT INTO `sys_dict_data` VALUES ('210', '运输条款', 'train_clause', '站-站', 'ST-ST', null, '2021-03-18 16:21:09', '2021-03-18 16:35:05', null, '1');
INSERT INTO `sys_dict_data` VALUES ('211', '运输条款', 'train_clause', '门-门', 'DR-DR', null, '2021-03-18 16:36:23', '2021-03-18 16:36:36', null, '1');
INSERT INTO `sys_dict_data` VALUES ('212', '报表状态', 'report_status', '未审核', '0', null, '2021-04-01 11:38:39', '2021-04-01 11:38:39', null, '1');
INSERT INTO `sys_dict_data` VALUES ('213', '报表状态', 'report_status', '统计已审核', '1', null, '2021-04-01 11:38:55', '2021-04-01 11:38:55', null, '1');
INSERT INTO `sys_dict_data` VALUES ('214', '报表状态', 'report_status', '财务已审核', '2', null, '2021-04-01 11:39:15', '2021-04-01 11:39:15', null, '1');
INSERT INTO `sys_dict_data` VALUES ('215', '报表状态', 'report_status', '决策人已审核', '3', null, '2021-04-01 11:39:33', '2021-04-01 11:39:33', null, '1');
INSERT INTO `sys_dict_data` VALUES ('216', '报表状态', 'report_status', '已付款', '4', null, '2021-04-01 11:39:52', '2021-04-01 11:39:52', null, '1');
INSERT INTO `sys_dict_data` VALUES ('217', '报表状态', 'report_status', '未审核', '0', null, '2021-04-01 15:31:44', '2021-04-01 15:31:44', null, '2');
INSERT INTO `sys_dict_data` VALUES ('218', '报表状态', 'report_status', '统计已审核', '1', null, '2021-04-01 15:32:13', '2021-04-01 15:32:13', null, '2');
INSERT INTO `sys_dict_data` VALUES ('219', '报表状态', 'report_status', '财务已审核', '2', null, '2021-04-01 15:32:31', '2021-04-01 15:32:31', null, '2');
INSERT INTO `sys_dict_data` VALUES ('220', '报表状态', 'report_status', '决策人已审核', '3', null, '2021-04-01 15:32:58', '2021-04-01 15:32:58', null, '2');
INSERT INTO `sys_dict_data` VALUES ('221', '报表状态', 'report_status', '部分付款', '4', null, '2021-04-01 15:33:12', '2021-04-15 10:05:27', null, '2');
INSERT INTO `sys_dict_data` VALUES ('222', '货品名称', 'goods_name', '玉米', '0', null, '2021-04-08 10:05:45', '2021-04-08 10:05:45', null, '1');
INSERT INTO `sys_dict_data` VALUES ('223', '货品名称', 'goods_name', '大豆', '1', null, '2021-04-08 10:06:00', '2021-04-08 10:06:00', null, '1');
INSERT INTO `sys_dict_data` VALUES ('224', '货品名称', 'goods_name', '玉米', '0', null, '2021-04-08 10:05:45', '2021-04-08 10:05:45', null, '2');
INSERT INTO `sys_dict_data` VALUES ('225', '货品名称', 'goods_name', '大豆', '1', null, '2021-04-08 10:06:00', '2021-04-08 10:06:00', null, '2');
INSERT INTO `sys_dict_data` VALUES ('226', '物流类型', 'trans_type', '我司派车', '0', null, '2021-04-08 15:26:30', '2021-04-08 15:26:30', null, '1');
INSERT INTO `sys_dict_data` VALUES ('227', '物流类型', 'trans_type', '客户自理', '1', null, '2021-04-08 15:26:56', '2021-04-08 15:26:56', null, '1');
INSERT INTO `sys_dict_data` VALUES ('228', '报表状态', 'report_status', '已付款', '5', null, '2021-04-15 10:05:42', '2021-04-15 10:05:42', null, '2');
INSERT INTO `sys_dict_data` VALUES ('229', '交易状态', 'trade_status', '未审核', '0', null, '2021-04-23 08:13:21', '2021-04-23 08:13:21', null, '2');
INSERT INTO `sys_dict_data` VALUES ('230', '交易状态', 'trade_status', '待决策人审核', '1', null, '2021-04-23 08:13:46', '2021-04-23 08:13:46', null, '2');
INSERT INTO `sys_dict_data` VALUES ('231', '交易状态', 'trade_status', '已审核', '2', null, '2021-04-23 08:14:18', '2021-04-23 08:14:18', null, '2');
INSERT INTO `sys_dict_data` VALUES ('232', '交易状态', 'trade_status', '已成交', '3', null, '2021-04-23 08:14:41', '2021-04-23 08:14:41', null, '2');
INSERT INTO `sys_dict_data` VALUES ('233', '交易状态', 'trade_status', '已完成', '4', null, '2021-05-10 14:30:09', '2021-05-10 14:30:09', null, '2');

-- ----------------------------
-- Table structure for unimall_admin
-- ----------------------------
DROP TABLE IF EXISTS `unimall_admin`;
CREATE TABLE `unimall_admin` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增主键ID',
  `username` varchar(255) DEFAULT NULL COMMENT '管理员昵称',
  `password` varchar(255) DEFAULT NULL COMMENT '管理员登录密码',
  `phone` varchar(255) DEFAULT NULL COMMENT '手机号',
  `realname` varchar(255) DEFAULT NULL COMMENT '真实姓名',
  `company_id` bigint(20) DEFAULT NULL COMMENT '公司ID',
  `avatar_url` varchar(255) DEFAULT NULL COMMENT '头像地址',
  `role_ids` varchar(255) DEFAULT NULL COMMENT '管理员角色 JSON 数据',
  `status` int(11) NOT NULL COMMENT '0.冻结 1.激活',
  `last_login_ip` varchar(255) DEFAULT NULL COMMENT '最后登录ip',
  `gmt_last_login` datetime NOT NULL COMMENT '最后登录时间',
  `gmt_update` datetime NOT NULL COMMENT '更新时间',
  `gmt_create` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`),
  UNIQUE KEY `unimall_admin_id_uindex` (`id`) USING BTREE,
  UNIQUE KEY `username` (`username`(30)) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=64 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of unimall_admin
-- ----------------------------
INSERT INTO `unimall_admin` VALUES ('1', 'admin', '2c71711fd16eaebf8e43b86a9afb0b48', '18241771147', '系统管理员11', '1', 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/ef1c5af8d1c34582a5bcda0d48ef9437.png', '[1]', '1', '127.0.0.1', '2019-04-08 22:12:04', '2022-05-15 13:01:24', '2019-04-08 22:12:12');

-- ----------------------------
-- Table structure for unimall_company
-- ----------------------------
DROP TABLE IF EXISTS `unimall_company`;
CREATE TABLE `unimall_company` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增主键ID',
  `company_name` varchar(255) DEFAULT NULL COMMENT '公司名称',
  `gmt_create` datetime DEFAULT NULL COMMENT '创建时间',
  `gmt_update` datetime DEFAULT NULL COMMENT '更新时间',
  `admin_id` bigint(20) DEFAULT NULL COMMENT '管理员id',
  `identification_no` varchar(100) DEFAULT NULL COMMENT '纳税人识别号',
  `company_bank` varchar(100) DEFAULT NULL COMMENT '公司开户行',
  `account_no` varchar(100) DEFAULT NULL COMMENT '公司账户',
  `company_place` varchar(100) DEFAULT NULL COMMENT '公司地址',
  `company_phone` varchar(100) DEFAULT NULL COMMENT '公司电话',
  `user_id` bigint(20) DEFAULT NULL,
  `person_no_img` varchar(100) DEFAULT NULL,
  `person_no_img1` varchar(100) DEFAULT NULL,
  `bank_img` varchar(100) DEFAULT NULL,
  `bank_img1` varchar(100) DEFAULT NULL,
  `bank_name_zhi` varchar(100) DEFAULT NULL,
  `person_name` varchar(100) DEFAULT NULL,
  `person_no` varchar(100) DEFAULT NULL,
  `renown` int(20) DEFAULT NULL,
  `collect_name` varchar(100) DEFAULT NULL COMMENT '收款人姓名',
  `bond` double(20,4) DEFAULT '0.0000' COMMENT '保证金',
  `margin_level` varchar(50) DEFAULT NULL COMMENT '保证金比例',
  `used_deposit` double(20,4) DEFAULT '0.0000' COMMENT '已用保证金',
  `return_flag` varchar(20) DEFAULT NULL COMMENT '退回保证金标识',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=39 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of unimall_company
-- ----------------------------
INSERT INTO `unimall_company` VALUES ('1', '黑龙江中天昊元贸易有限公司', '2021-02-02 19:14:12', '2021-02-02 19:14:12', '1', null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, '0.0000', '700', '0.0000', '0');
INSERT INTO `unimall_company` VALUES ('2', '辽宁佳屹农商贸有限公司', '2021-02-03 10:12:49', '2021-02-03 10:12:49', '1', null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, '0.0000', '700', '0.0000', '1');

-- ----------------------------
-- Table structure for unimall_config
-- ----------------------------
DROP TABLE IF EXISTS `unimall_config`;
CREATE TABLE `unimall_config` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `key_word` varchar(60) DEFAULT NULL COMMENT '关键字',
  `value_worth` varchar(100) DEFAULT NULL COMMENT '值',
  `gmt_create` datetime DEFAULT NULL COMMENT '创建时间',
  `gmt_update` datetime DEFAULT NULL COMMENT '更新时间',
  `company_id` bigint(20) DEFAULT NULL COMMENT '公司ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of unimall_config
-- ----------------------------
INSERT INTO `unimall_config` VALUES ('1', 'title', '5', '2019-07-20 11:23:37', '2019-07-20 11:23:37', null);
INSERT INTO `unimall_config` VALUES ('2', 'logoUrl', 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/3a20237b18c44356891890f6e2260c03.jpg', '2019-07-20 11:23:37', '2019-07-20 11:23:37', null);
INSERT INTO `unimall_config` VALUES ('3', 'description', '6', '2019-07-20 11:23:37', '2019-07-20 11:23:37', null);
INSERT INTO `unimall_config` VALUES ('4', 'address', '7', '2019-07-20 11:23:37', '2019-07-20 11:23:37', null);
INSERT INTO `unimall_config` VALUES ('5', 'showType', '2', '2019-07-20 11:23:37', '2019-07-20 11:23:37', null);
INSERT INTO `unimall_config` VALUES ('6', 'bankAppCode', '2d59bfa794994f5f94d1d98b7b5bd102', '2020-11-12 16:45:53', '2020-11-12 16:45:53', null);

-- ----------------------------
-- Table structure for unimall_img
-- ----------------------------
DROP TABLE IF EXISTS `unimall_img`;
CREATE TABLE `unimall_img` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `biz_type` int(11) NOT NULL,
  `biz_id` bigint(20) NOT NULL,
  `url` varchar(255) NOT NULL,
  `gmt_update` datetime NOT NULL,
  `gmt_create` datetime NOT NULL,
  `company_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3046 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of unimall_img
-- ----------------------------
INSERT INTO `unimall_img` VALUES ('200', '2', '2', 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/2e801f1184bf45bc819791f0a7d2f573.png', '2019-04-25 19:15:55', '2019-04-25 19:15:55', null);
INSERT INTO `unimall_img` VALUES ('201', '2', '1', 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/2e801f1184bf45bc819791f0a7d2f573.png', '2019-04-25 19:15:55', '2019-04-25 19:15:55', null);
INSERT INTO `unimall_img` VALUES ('202', '2', '3', 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/2e801f1184bf45bc819791f0a7d2f573.png', '2019-04-25 19:15:55', '2019-04-25 19:15:55', null);
INSERT INTO `unimall_img` VALUES ('203', '2', '4', 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/2e801f1184bf45bc819791f0a7d2f573.png', '2019-04-25 19:15:55', '2019-04-25 19:15:55', null);
INSERT INTO `unimall_img` VALUES ('204', '2', '5', 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/ef1c5af8d1c34582a5bcda0d48ef9437.png', '2019-07-07 00:30:37', '2019-07-07 00:30:37', null);
INSERT INTO `unimall_img` VALUES ('205', '2', '6', 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/ef1c5af8d1c34582a5bcda0d48ef9437.png', '2019-07-07 00:32:02', '2019-07-07 00:32:02', null);
INSERT INTO `unimall_img` VALUES ('206', '2', '7', 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/imgs/3FzdQarcKQr5kkt.png', '2019-07-11 17:49:25', '2019-07-11 17:49:25', null);
INSERT INTO `unimall_img` VALUES ('208', '2', '9', 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/imgs/eMSD6B5D5BEH8zH.jpg', '2019-07-14 09:58:45', '2019-07-14 09:58:45', null);
INSERT INTO `unimall_img` VALUES ('209', '2', '9', 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/imgs/yrmCrRE5FR8XWMH.jpg', '2019-07-14 09:58:45', '2019-07-14 09:58:45', null);
INSERT INTO `unimall_img` VALUES ('3014', '1', '1236769', 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/55c59f82af4e4aefb9f78ce2484b9f36.png', '2019-08-21 12:53:05', '2019-08-21 12:53:05', null);
INSERT INTO `unimall_img` VALUES ('3015', '1', '1236769', 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/8ffee2727cbe4c07ab95cf25ca1946bd.png', '2019-08-21 12:53:05', '2019-08-21 12:53:05', null);
INSERT INTO `unimall_img` VALUES ('3016', '1', '1236770', 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2b86ba9cfc0c40fc82f7741c06270f36.jpg', '2019-08-21 12:53:11', '2019-08-21 12:53:11', null);
INSERT INTO `unimall_img` VALUES ('3017', '1', '1236770', 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a705b7cc22f14d80b5107b9f8b9f7713.jpg', '2019-08-21 12:53:11', '2019-08-21 12:53:11', null);
INSERT INTO `unimall_img` VALUES ('3018', '1', '1236771', 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/86338c9e576342baa0d079bc1caef9cc.jpg', '2019-08-21 12:53:17', '2019-08-21 12:53:17', null);
INSERT INTO `unimall_img` VALUES ('3019', '1', '1236771', 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/3f1e780b9f0c4cde948af3dcfbfe7ece.jpg', '2019-08-21 12:53:17', '2019-08-21 12:53:17', null);
INSERT INTO `unimall_img` VALUES ('3020', '1', '1236772', 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/e48b4f8c1c824e1a9b9f349be0275648.jpg', '2019-08-21 12:53:23', '2019-08-21 12:53:23', null);
INSERT INTO `unimall_img` VALUES ('3021', '1', '1236772', 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/1546107f29274241b539380f9eba41a2.jpg', '2019-08-21 12:53:23', '2019-08-21 12:53:23', null);
INSERT INTO `unimall_img` VALUES ('3022', '1', '1236772', 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/d850d0faea3a406bb057cd1813fa9c78.jpg', '2019-08-21 12:53:23', '2019-08-21 12:53:23', null);
INSERT INTO `unimall_img` VALUES ('3023', '1', '1236773', 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/4f817407a019439da765bf0dc5e7b3b7.jpg', '2019-08-21 12:53:36', '2019-08-21 12:53:36', null);
INSERT INTO `unimall_img` VALUES ('3024', '1', '1236773', 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/435904c4297341839fc388679a550194.jpg', '2019-08-21 12:53:36', '2019-08-21 12:53:36', null);
INSERT INTO `unimall_img` VALUES ('3025', '1', '1236773', 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a9b89d4306fc4134965aabecd125636a.jpg', '2019-08-21 12:53:36', '2019-08-21 12:53:36', null);
INSERT INTO `unimall_img` VALUES ('3029', '1', '1236776', 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/22014e1c20c441949b9e90ef63fa0f64.jpg', '2019-08-21 12:54:02', '2019-08-21 12:54:02', null);
INSERT INTO `unimall_img` VALUES ('3030', '1', '1236777', 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2e6c6eeefaf94fac94fcc1157d2fa037.jpeg', '2019-08-21 12:54:08', '2019-08-21 12:54:08', null);
INSERT INTO `unimall_img` VALUES ('3033', '1', '1236775', 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-23 18:03:42', '2019-08-23 18:03:42', null);
INSERT INTO `unimall_img` VALUES ('3034', '1', '1236775', 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/d424f75591254a5db702dad28467dee8.jpg', '2019-08-23 18:03:42', '2019-08-23 18:03:42', null);
INSERT INTO `unimall_img` VALUES ('3042', '1', '1236768', 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2020-02-14 15:55:10', '2020-02-14 15:55:10', null);
INSERT INTO `unimall_img` VALUES ('3043', '1', '1236768', 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/883b7d8828e24896889530884c76f88f.jpg', '2020-02-14 15:55:10', '2020-02-14 15:55:10', null);
INSERT INTO `unimall_img` VALUES ('3044', '1', '1236768', 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/c5cbc9826fc242b1a251546141014197.jpg', '2020-02-14 15:55:10', '2020-02-14 15:55:10', null);
INSERT INTO `unimall_img` VALUES ('3045', '1', '1236782', 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/34a3a981bcb84f35aec8ceb7ef9a6f6f.png', '2020-02-14 16:37:42', '2020-02-14 16:37:42', null);

-- ----------------------------
-- Table structure for unimall_message
-- ----------------------------
DROP TABLE IF EXISTS `unimall_message`;
CREATE TABLE `unimall_message` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `customer` varchar(255) DEFAULT NULL,
  `operation` varchar(255) DEFAULT NULL,
  `result` varchar(255) DEFAULT NULL,
  `status` int(11) DEFAULT NULL,
  `task_id` bigint(20) DEFAULT NULL,
  `path` varchar(255) DEFAULT NULL COMMENT '消息跳转路径',
  `gmt_create` datetime DEFAULT NULL,
  `gmt_update` datetime DEFAULT NULL,
  `admin_id` bigint(20) DEFAULT NULL,
  `user_id` bigint(20) DEFAULT NULL,
  `company_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1044 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of unimall_message
-- ----------------------------
INSERT INTO `unimall_message` VALUES ('1003', '交易信息：THL202107204154211101', ' 已成交，', '请及时收款', null, null, '/finance/collect', '2021-07-24 09:27:36', '2021-07-24 09:27:36', null, null, '2');
INSERT INTO `unimall_message` VALUES ('1004', '交易单号:THL202107204154211101', '成交', '成交价:6000.0', null, null, '/sale/trade', '2021-07-24 09:27:36', '2021-07-24 09:27:36', null, '1781', '2');
INSERT INTO `unimall_message` VALUES ('1005', '交易单号:THL202107205133843103', '成交', '成交价:5990.0', null, null, '/sale/trade', '2021-07-24 13:54:18', '2021-07-24 13:54:18', null, '1781', '2');
INSERT INTO `unimall_message` VALUES ('1006', '交易单号:THL202107205140401105', '成交', '成交价:6000.0', null, null, '/sale/trade', '2021-07-24 14:12:33', '2021-07-24 14:12:33', null, '1781', '2');
INSERT INTO `unimall_message` VALUES ('1007', '交易单号:THL202107205143340101', '成交', '成交价:5850.0', null, null, '/sale/trade', '2021-07-24 14:43:34', '2021-07-24 14:43:34', null, '1781', '2');
INSERT INTO `unimall_message` VALUES ('1008', '交易单号:THL202107205150016102', '成交', '成交价:5980.0', null, null, '/sale/trade', '2021-07-24 15:06:34', '2021-07-24 15:06:34', null, '1781', '2');
INSERT INTO `unimall_message` VALUES ('1009', '客户[杨万峰]的车辆[0035]', '已经出库', '点击查看详细信息', null, null, '/report/tradeTotal', '2021-07-24 16:41:19', '2021-07-24 16:41:19', null, '1829', '2');
INSERT INTO `unimall_message` VALUES ('1010', '客户[杨万峰]的车辆[辽H84343]', '已经出库', '点击查看详细信息', null, null, '/report/tradeTotal', '2021-07-24 17:01:53', '2021-07-24 17:01:53', null, '1842', '2');
INSERT INTO `unimall_message` VALUES ('1011', '客户[杨万峰]的车辆[0035]', '已经出库', '点击查看详细信息', null, null, '/report/tradeTotal', '2021-07-25 09:15:37', '2021-07-25 09:15:37', null, '1842', '2');
INSERT INTO `unimall_message` VALUES ('1012', '客户[杨万峰]的车辆[4605]', '已经出库', '点击查看详细信息', null, null, '/report/tradeTotal', '2021-07-25 09:18:18', '2021-07-25 09:18:18', null, '1842', '2');
INSERT INTO `unimall_message` VALUES ('1013', '客户[杨万峰]的车辆[辽H17920]', '已经出库', '点击查看详细信息', null, null, '/report/tradeTotal', '2021-07-25 09:21:02', '2021-07-25 09:21:02', null, '1842', '2');
INSERT INTO `unimall_message` VALUES ('1014', '客户[杨万峰]的车辆[17920]', '已经出库', '点击查看详细信息', null, null, '/report/tradeTotal', '2021-07-25 09:24:37', '2021-07-25 09:24:37', null, '1842', '2');
INSERT INTO `unimall_message` VALUES ('1015', '客户[杨万峰]的车辆[辽H83437]', '已经出库', '点击查看详细信息', null, null, '/report/tradeTotal', '2021-07-25 09:26:01', '2021-07-25 09:26:01', null, '1842', '2');
INSERT INTO `unimall_message` VALUES ('1016', '客户[杨万峰]的车辆[辽H62967]', '已经出库', '点击查看详细信息', null, null, '/report/tradeTotal', '2021-07-25 09:28:02', '2021-07-25 09:28:02', null, '1842', '2');
INSERT INTO `unimall_message` VALUES ('1017', '客户[杨万峰]的车辆[辽H17920]', '已经出库', '点击查看详细信息', null, null, '/report/tradeTotal', '2021-07-25 09:29:40', '2021-07-25 09:29:40', null, '1842', '2');
INSERT INTO `unimall_message` VALUES ('1018', '客户[杨万峰]的车辆[83437]', '已经出库', '点击查看详细信息', null, null, '/report/tradeTotal', '2021-07-25 09:31:46', '2021-07-25 09:31:46', null, '1842', '2');
INSERT INTO `unimall_message` VALUES ('1019', '客户[杨万峰]的车辆[辽HK5896]', '已经出库', '点击查看详细信息', null, null, '/report/tradeTotal', '2021-07-25 09:33:49', '2021-07-25 09:33:49', null, '1842', '2');
INSERT INTO `unimall_message` VALUES ('1020', '客户[庞守涛]', ' 已确认[黑MB2938]车辆卸货，', '请及时申请付款', null, null, '/report/tradeTotal', '2021-07-26 08:44:51', '2021-07-26 08:44:51', null, null, '2');
INSERT INTO `unimall_message` VALUES ('1021', '客户[庞守涛]', ' 已确认[辽HA1676]车辆卸货，', '请及时申请付款', null, null, '/report/tradeTotal', '2021-07-26 08:45:04', '2021-07-26 08:45:04', null, null, '2');
INSERT INTO `unimall_message` VALUES ('1022', '客户[庞守涛]', ' 已确认[黑DA6662]车辆卸货，', '请及时申请付款', null, null, '/report/tradeTotal', '2021-07-26 08:45:06', '2021-07-26 08:45:06', null, null, '2');
INSERT INTO `unimall_message` VALUES ('1023', '客户[方子成]', ' 已确认[黑ME7937]车辆卸货，', '请及时申请付款', null, null, '/report/tradeTotal', '2021-07-26 08:45:52', '2021-07-26 08:45:52', null, null, '2');
INSERT INTO `unimall_message` VALUES ('1024', '交易信息：THL202107207085531101', ' 已成交，', '请及时收款', null, null, '/finance/collect', '2021-07-26 09:11:33', '2021-07-26 09:11:33', null, null, '2');
INSERT INTO `unimall_message` VALUES ('1025', '交易单号:THL202107207085531101', '成交', '成交价:6000.0', null, null, '/sale/trade', '2021-07-26 09:11:33', '2021-07-26 09:11:33', null, '1781', '2');
INSERT INTO `unimall_message` VALUES ('1026', '客户[庞守涛]', ' 已确认[黑B75687]车辆卸货，', '请及时申请付款', null, null, '/report/tradeTotal', '2021-07-26 09:45:29', '2021-07-26 09:45:29', null, null, '2');
INSERT INTO `unimall_message` VALUES ('1027', '客户[杨万峰]的车辆[1751]', '已经出库', '点击查看详细信息', null, null, '/report/tradeTotal', '2021-07-26 09:55:22', '2021-07-26 09:55:22', null, '1842', '2');
INSERT INTO `unimall_message` VALUES ('1028', '客户[杨万峰]的车辆[83460]', '已经出库', '点击查看详细信息', null, null, '/report/tradeTotal', '2021-07-26 09:56:39', '2021-07-26 09:56:39', null, '1842', '2');
INSERT INTO `unimall_message` VALUES ('1029', '客户[杨万峰]的车辆[60531]', '已经出库', '点击查看详细信息', null, null, '/report/tradeTotal', '2021-07-26 09:58:06', '2021-07-26 09:58:06', null, '1842', '2');
INSERT INTO `unimall_message` VALUES ('1030', '客户[杨万峰]的车辆[7155]', '已经出库', '点击查看详细信息', null, null, '/report/tradeTotal', '2021-07-26 09:59:29', '2021-07-26 09:59:29', null, '1842', '2');
INSERT INTO `unimall_message` VALUES ('1031', '客户[杨万峰]的车辆[1378]', '已经出库', '点击查看详细信息', null, null, '/report/tradeTotal', '2021-07-26 10:01:12', '2021-07-26 10:01:12', null, '1842', '2');
INSERT INTO `unimall_message` VALUES ('1032', '客户[杨万峰]的车辆[0035]', '已经出库', '点击查看详细信息', null, null, '/report/tradeTotal', '2021-07-26 10:02:20', '2021-07-26 10:02:20', null, '1842', '2');
INSERT INTO `unimall_message` VALUES ('1033', '客户[杨万峰]的车辆[7151]', '已经出库', '点击查看详细信息', null, null, '/report/tradeTotal', '2021-07-26 10:03:31', '2021-07-26 10:03:31', null, '1842', '2');
INSERT INTO `unimall_message` VALUES ('1034', '客户[杨万峰]的车辆[7155]', '已经出库', '点击查看详细信息', null, null, '/report/tradeTotal', '2021-07-26 10:04:35', '2021-07-26 10:04:35', null, '1842', '2');
INSERT INTO `unimall_message` VALUES ('1035', '客户[杨万峰]的车辆[1378]', '已经出库', '点击查看详细信息', null, null, '/report/tradeTotal', '2021-07-26 10:05:35', '2021-07-26 10:05:35', null, '1842', '2');
INSERT INTO `unimall_message` VALUES ('1036', '客户[杨万峰]的车辆[87463]', '已经出库', '点击查看详细信息', null, null, '/report/tradeTotal', '2021-07-26 10:06:46', '2021-07-26 10:06:46', null, '1842', '2');
INSERT INTO `unimall_message` VALUES ('1037', '客户[杨万峰]的车辆[4805]', '已经出库', '点击查看详细信息', null, null, '/report/tradeTotal', '2021-07-26 10:18:23', '2021-07-26 10:18:23', null, '1829', '2');
INSERT INTO `unimall_message` VALUES ('1038', '交易信息：THL202107207145620105', ' 已成交，', '请及时收款', null, null, '/finance/collect', '2021-07-26 15:12:08', '2021-07-26 15:12:08', null, null, '2');
INSERT INTO `unimall_message` VALUES ('1039', '交易单号:THL202107207145620105', '成交', '成交价:5000.0', null, null, '/sale/trade', '2021-07-26 15:12:08', '2021-07-26 15:12:08', null, '1611', '2');
INSERT INTO `unimall_message` VALUES ('1040', '交易信息：THL202107207145809106', ' 已成交，', '请及时收款', null, null, '/finance/collect', '2021-07-26 15:12:21', '2021-07-26 15:12:21', null, null, '2');
INSERT INTO `unimall_message` VALUES ('1041', '交易单号:THL202107207145809106', '成交', '成交价:5100.0', null, null, '/sale/trade', '2021-07-26 15:12:21', '2021-07-26 15:12:21', null, '1611', '2');
INSERT INTO `unimall_message` VALUES ('1042', '交易单号:THL202107207151617113', '成交', '成交价:6000.0', null, null, '/sale/trade', '2021-07-26 15:18:42', '2021-07-26 15:18:42', null, '1772', '2');
INSERT INTO `unimall_message` VALUES ('1043', '统计', ' 已审核，', '请及时审核', null, null, '/report/tradeTotal', '2021-07-26 16:33:37', '2021-07-26 16:33:37', null, null, '2');

-- ----------------------------
-- Table structure for unimall_role
-- ----------------------------
DROP TABLE IF EXISTS `unimall_role`;
CREATE TABLE `unimall_role` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `name` varchar(63) DEFAULT NULL,
  `desc` varchar(1023) DEFAULT NULL,
  `status` int(11) NOT NULL DEFAULT '1' COMMENT '0.冻结 1.激活',
  `gmt_update` datetime NOT NULL COMMENT '更新时间',
  `gmt_create` datetime NOT NULL,
  `company_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=29 DEFAULT CHARSET=utf8mb4 COMMENT='角色表';

-- ----------------------------
-- Records of unimall_role
-- ----------------------------
INSERT INTO `unimall_role` VALUES ('1', '超级管理员', '所有模块的权限', '1', '2019-04-08 22:40:45', '2019-04-08 22:40:50', '1');

-- ----------------------------
-- Table structure for unimall_role_permission
-- ----------------------------
DROP TABLE IF EXISTS `unimall_role_permission`;
CREATE TABLE `unimall_role_permission` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `role_id` int(11) NOT NULL COMMENT '角色ID',
  `permission` varchar(63) DEFAULT NULL,
  `deleted` int(11) NOT NULL DEFAULT '0' COMMENT '逻辑删除',
  `gmt_update` datetime NOT NULL COMMENT '更新时间',
  `gmt_create` datetime NOT NULL COMMENT '创建时间',
  `company_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7368 DEFAULT CHARSET=utf8mb4 COMMENT='权限表';

-- ----------------------------
-- Records of unimall_role_permission
-- ----------------------------
INSERT INTO `unimall_role_permission` VALUES ('1', '1', '*', '0', '2020-08-02 20:33:44', '2020-08-02 20:33:47', null);

-- ----------------------------
-- Table structure for unimall_user
-- ----------------------------
DROP TABLE IF EXISTS `unimall_user`;
CREATE TABLE `unimall_user` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `phone` varchar(155) DEFAULT NULL,
  `password` varchar(155) DEFAULT NULL,
  `login_type` int(11) NOT NULL,
  `union_id` varchar(100) DEFAULT NULL,
  `open_id` varchar(155) DEFAULT NULL,
  `nickname` varchar(155) DEFAULT NULL,
  `role_ids` varchar(255) DEFAULT NULL,
  `avatar_url` varchar(155) DEFAULT NULL,
  `user_name` varchar(155) DEFAULT NULL,
  `birthday` date DEFAULT NULL,
  `gender` int(11) DEFAULT '-1',
  `gmt_last_login` datetime DEFAULT NULL,
  `last_login_ip` varchar(155) DEFAULT NULL,
  `status` int(11) DEFAULT '1',
  `gmt_update` datetime NOT NULL,
  `gmt_create` datetime NOT NULL,
  `sign_img` varchar(255) DEFAULT NULL,
  `wechat_no` varchar(100) DEFAULT NULL,
  `company_id` bigint(20) DEFAULT NULL,
  `access_token` varchar(255) DEFAULT NULL,
  `official_open_id` varchar(150) DEFAULT NULL COMMENT '公众号',
  `liangxin_id` varchar(150) DEFAULT NULL COMMENT '粮信userID',
  `cid` varchar(255) DEFAULT NULL COMMENT '推送id',
  PRIMARY KEY (`id`),
  UNIQUE KEY `unimall_user_phone_uindex` (`id`) USING BTREE
) ENGINE=MyISAM AUTO_INCREMENT=2030 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of unimall_user
-- ----------------------------
