package com.iotechn.unimall.data.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import lombok.Data;

/**
 * @Author:chengchangjiang
 * @Description: 管理员实体类
 * @Date:Created in 2021年3月23日09:27:01
 */
@TableName("unimall_admin")
@Data
public class AdminDO extends SuperDO {
    /* 管理员昵称 */
    private String username;

    /* 管理员登录密码 */
    private String password;

    /* 手机号 */
    private String phone;

    /* 真实姓名 */
    private String realname;

    /* 头像地址 */
    @TableField("avatar_url")
    private String avatarUrl;

    /* 管理员角色 JSON 数据 */
    @TableField("role_ids")
    private String roleIds;

    /* 管理员状态 */
    private Integer status;

    /* 最后登录ip */
    @TableField("last_login_ip")
    private String lastLoginIp;

    /* 最后登录时间 */
    @TableField("gmt_last_login")
    private String gmtLastLogin;

    /* 公司ID */
    @TableField("company_id")
    private Long companyId;
}
