package com.iotechn.unimall.data.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;

import java.awt.*;
import java.util.Date;
import java.util.List;

import lombok.Data;

/**
 * Generate Code By Unimall
 */
@Data
@TableName("unimall_customer_billing_info")
public class CustomerBillingInfoDO extends SuperDO {

     /* id */
    @TableField("id")
    private Long id;
     /* 编号 */
    @TableField("pay_no")
    private String payNo;
    /* 客户 */
    @TableField("customer")
    private String customer;
     /* 单据类型 */
    @TableField("business_type")
    private String businessType;
     /* 结账日期 */
    @TableField("closing_date")
    private String closingDate;
    /*应付金额 */
    @TableField("amount_ing")
    private Double amountIng;
     /* 已付金额 */
    @TableField("amount_paid")
    private Double amountPaid;
     /* 未付金额 */
    @TableField("unpaid_amount")
    private Double unpaidAmount;
     /* 备注1 */
    @TableField("remarks")
    private String remarks;
     /* 备注2 */
    @TableField("remark")
    private String remark;
     /* 状态 */
    @TableField("status")
    private Integer status;
     /* gmtCreate */
    @TableField("gmt_create")
    private Date gmtCreate;
     /* gmtUpdate */
    @TableField("gmt_update")
    private Date gmtUpdate;
     /* userId */
    @TableField("user_id")
    private Long userId;
     /* adminId */
    @TableField("admin_id")
    private Long adminId;
     /* companyId */
    @TableField("company_id")
    private Long companyId;
     /* updatePeople */
    @TableField("update_people")
    private String updatePeople;
    @TableField(exist = false)
    private List<CustomerBillingDetailDO> customerBillingDetailDOList;


}
