package com.iotechn.unimall.data.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import lombok.Data;

import java.security.KeyStore;
import java.util.HashMap;
/**
 * @Author:chengchangjiang
 * @Description: 行情图片实体类
 * @Date:Created in 2021年3月23日09:27:01
 */
@Data
@TableName("unimall_img")
public class ImgDO extends SuperDO {
    /* 分组类型 */
    @TableField("biz_type")
    private Integer bizType;
    /* 分组id */
    @TableField("biz_id")
    private Long bizId;
    /* 图片url */
    private String url;
    /* 公司id */
    @TableField("company_id")
    private Long companyId;


}
