package com.iotechn.unimall.data.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import lombok.Data;

/**
 * @Author:chengchangjiang
 * @Description: 角色权限实体类
 * @Date:Created in 2021年3月23日09:27:01
 */
@Data
@TableName("unimall_role_permission")
public class RolePermissionDO extends SuperDO {
    /* 角色id */
    @TableField("role_id")
    private Long roleId;
    /* 角色权限 */
    private String permission;
    /* 是否删除 */
    private Integer deleted;
    /* 公司id */
    @TableField("company_id")
    private Long companyId;

}
