package com.iotechn.unimall.data.dto;

import com.baomidou.mybatisplus.annotations.TableName;
import java.util.Date;
import lombok.Data;

/**
 * Generate Code By Unimall
 */
@Data
@TableName("unimall_customer_info")
public class CustomerInfoDTO extends SuperDTO {

     /* id */
    private Long id;
     /* 客户 */
    private String customer;
    /* 应付金额 */
    private Double amountPayable;
     /* 已付金额 */
    private Double unpaidAmount;
     /* 已付金额 */
    private Double yiAmount;
     /* 备注 */
    private String remarks;
     /* 状态 */
    private Integer status;
     /* gmtCreate */
    private Date gmtCreate;
     /* gmtUpdate */
    private Date gmtUpdate;
     /* userId */
    private Long userId;
     /* adminId */
    private Long adminId;
     /* companyId */
    private Long companyId;
     /* updatePeople */
    private String updatePeople;

}
