package com.iotechn.unimall.data.dto;

import com.baomidou.mybatisplus.annotations.TableField;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * Created by rize on 2019/7/1.
 */
@Data
public class UserDTO extends SuperDTO {

    private String phone;
    private String password;

    private Integer loginType;

    private String openId;
    private String officialOpenId;
    private String unionId;
    private String nickname;

    private String avatarUrl;

    private Integer level;

    private Date birthday;

    private Integer gender;

    private Date gmtLastLogin;

    private String lastLoginIp;

    private Integer status;

    /**
     * 登录成功，包装此参数
     */
    private String accessToken;
    private Integer contractNo;
    private List<Long> roleIds;
    private String userName;
    private String signImg;
    private String wechatNo;
    private List<Long> storeIds;
    private Long companyId;
    private String liangxinId;
    //版本
    private String version;
    //版本
    private String versionCode;
    //apk地址
    private String url;
    //apk地址
    private String wgtUrl;
    //更新提示
    private String note;
}
